Bug 213431 - mail/mutt: Upgrade to 1.7.1, use some remote patches, portlint cleanup
Summary: mail/mutt: Upgrade to 1.7.1, use some remote patches, portlint cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Adam Weinberger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-10-13 06:41 UTC by Derek Schrock
Modified: 2016-10-17 02:43 UTC (History)
3 users (show)

See Also:


Attachments
1.7.1, portlint and makepatch cleanup (42.83 KB, patch)
2016-10-13 06:41 UTC, Derek Schrock
dereks: maintainer-approval+
Details | Diff
Updated 1.7.1 patch for subject based patches (35.11 KB, patch)
2016-10-17 00:04 UTC, Derek Schrock
dereks: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2016-10-13 06:41:34 UTC
Created attachment 175686 [details]
1.7.1, portlint and makepatch cleanup

- Update to 1.7.1
- portlint cleanup (still some warnings that can be explained away)
- Use upsteam maintained patches (date_conditional, deepif, greeting)
- makepatch patch-* patches
Comment 1 VK freebsd_triage 2016-10-13 07:51:49 UTC
Comment on attachment 175686 [details]
1.7.1, portlint and makepatch cleanup

Thanks for the patch. Please set the maintainer-approval+ flag on attachments for ports you're maintainer of, under attachment Details, to help us track this issue better.
Comment 2 Adam Weinberger freebsd_committer 2016-10-13 22:49:48 UTC
Hi Derek,

I appreciate you doing all the hard 'makepatch' work, but are you sure that you want to change from 1-topic-per-patch to 1-file-per-patch? It might make it more work to maintain in the future.
Comment 3 Derek Schrock 2016-10-14 20:20:55 UTC
Yeah, I could see issues with that.  Let me provide another patch that obsoletes the current one.  I'd also like to update the greeting patch vars since it was just updated for 1.7.1.

When creating a subject patch that's acceptable for portlint is it just a concatenated set of patches from makepatch in to a single file?
Comment 4 Adam Weinberger freebsd_committer 2016-10-14 20:33:48 UTC
Yup that's the right idea. Just be aware that they get applied in alphabetical order, so if two patches affect the same file you might need to generate the patches in steps.
Comment 5 Adam Weinberger freebsd_committer 2016-10-14 20:35:55 UTC
Also, keep in mind that portlint makes suggestions, not statements of fact. If you liked the COMMENT the way it was, for example, you don't need to change it just because portlint has a thing against articles.
Comment 6 Derek Schrock 2016-10-17 00:04:05 UTC
Created attachment 175840 [details]
Updated 1.7.1 patch for subject based patches

- Bring back some subject patches
- auto pull dist/patchfiles with makesum
- 1.7.1 greeting patch
Comment 7 Adam Weinberger freebsd_committer 2016-10-17 02:00:22 UTC
Nice work, Derek. This feels like a better path to me.
Comment 8 commit-hook freebsd_committer 2016-10-17 02:40:46 UTC
A commit references this bug:

Author: adamw
Date: Mon Oct 17 02:40:42 UTC 2016
New revision: 424090
URL: https://svnweb.freebsd.org/changeset/ports/424090

Log:
  - Update to 1.7.1
  - Move some vars around to make portlint happy
  - Use MUTT_LITE instead of LITE
  - Fetch deepif and date-contitional from remote locations
  - Reword COMMENT
  - Bring back remote patch versions incase mutt version and patch
    versions arn't in sync
  - Remove date_conditional patch pulled in remotely
  - Add two new sidebar samples
  - convert patch-* patches to makepatch patches
  - Greeting patch 1.7.1 now PATCHFILE
  - make makesum will pull all optional dist/patchfiles

  PR:		213431
  Submitted by:	maintainer (dereks lifeofadishwasher com)

Changes:
  head/mail/mutt/Makefile
  head/mail/mutt/distinfo
  head/mail/mutt/files/patch-Makefile.am
  head/mail/mutt/files/patch-Makefile.am.doc
  head/mail/mutt/files/patch-browser.c
  head/mail/mutt/files/patch-contrib-Makefile.am
  head/mail/mutt/files/patch-contrib_Makefile.am
  head/mail/mutt/files/patch-date-conditional
  head/mail/mutt/files/patch-doc-Makefile.am
  head/mail/mutt/files/patch-doc-Muttrc
  head/mail/mutt/files/patch-doc-manual.xml.head
  head/mail/mutt/files/patch-doc_Makefile.am
  head/mail/mutt/files/patch-doc_Muttrc
  head/mail/mutt/files/patch-doc_manual.xml.head
  head/mail/mutt/files/patch-examples
  head/mail/mutt/files/patch-imap-message.c
  head/mail/mutt/files/patch-m4-gssapi.m4
  head/mail/mutt/files/patch-m4_gssapi.m4
  head/mail/mutt/files/patch-mktemp
  head/mail/mutt/files/patch-muttlib.c
  head/mail/mutt/files/patch-smime-self
  head/mail/mutt/files/patch-smime-sender
  head/mail/mutt/files/patch-staging-Makefile.am
  head/mail/mutt/files/patch-threadcomplete
  head/mail/mutt/pkg-plist
Comment 9 Adam Weinberger freebsd_committer 2016-10-17 02:43:14 UTC
Committed. Nice work, Derek! I am sure it was a real pain generating the patches this time, but it'll be much easier in the future.

I modified the patch-Makefile.am, because install was failing as non-root user (the chgrp and chmod 2755 aren't available as non-root). The chgrp and chmod are already handled by the pkg-plist so the simplest thing was to just nuke that block entirely.